# Don't use fakeroot
%define srcversion 2.2.17
%define kversion 2.2.17
%define oversion 2.2.16
%define pcmciaver 3.1.20
%define ibcsver 2.1-981105
%define ksymoopsver 2.3.4
%define krelease 21mdk
%define alsaver 0.5.9c
%define lfs 0
%define KVERREL %{kversion}-%{krelease}
%define reiserfsver 3.5.26

Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel
Version: %{kversion}
Release: %{krelease}
Copyright: GPL
Group: System/Kernel and hardware
ExclusiveArch: %{ix86} alpha sparc sparc64 ppc
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc, alsa-driver, alsa-dev, kernel-ibcs, kernel-fb

Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.2/linux-%{srcversion}.tar.bz2
Source1: /anonymous@projects.sourceforge.net:/pub/pcmcia-cs/pcmcia-cs-%{pcmciaver}.tar.bz2
Source2: ftp://tsx-11.mit.edu/pub/linux/BETA/ibcs2/ibcs-%{ibcsver}.tar.bz2
Source4: README.kernel-sources
Source5: ftp://ftp.ocs.com.au/pub/ksymoops/v2.3/ksymoops-%{ksymoopsver}.tar.bz2
Source7: ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{alsaver}.tar.bz2

Source10: pcmcia-cs-2.8.8-network.script
Source13: rhkmvtag.c
Source14: kernel-2.2-BuildASM.sh
Source15: linux-autoconf.h
Source16: linux-version.h
Source17: linux-modversions.h
Source18: kernel.xpm

# Be carrefull Source20 it's the _default_ Source for all kernel
Source20: kernel-%{kversion}-i586.config
Source21: kernel-%{kversion}-i586-smp.config
Source22: kernel-%{kversion}-i586-secure.config

## Chmou: Still not upgraded to 2.2.16
# Alpha
Source30: kernel-%{kversion}-alpha.config
Source33: kernel-%{kversion}-alpha-smp.config
Source34: kernel-%{kversion}-alpha-secure.config

# Sparc
Source40: kernel-%{kversion}-sparc.config
Source43: kernel-%{kversion}-sparc-smp.config
Source44: kernel-%{kversion}-sparc-secure.config

# Sparc 64
Source45: kernel-%{kversion}-sparc64.config
Source48: kernel-%{kversion}-sparc64-smp.config
Source49: kernel-%{kversion}-sparc64-secure.config

#PowerPC
Source60: kernel-%{kversion}-ppc.config
Source61: kernel-%{kversion}-ppc-secure.config

# Secure version of our kernel.
Source70: http://www.openwall.com/linux/linux-2.2.17-ow1.tar.bz2

# Ac patches
#Patch1: ftp://ftp.kernel.org/pub/linux/kernel/people/alan/2.2.17pre/pre-patch-2.2.17-20.bz2

# Revert patches
Patch2: linux-2.2.17-revertraid.patch.bz2
Patch3: linux-2.2.17-revertraid2.patch.bz2

# RedHat stuff
Patch110: linux-2.2.16-ksym-version.patch.bz2
Patch111: linux-2.2.16-server-tuning.patch.bz2
Patch112: linux-2.2.16-alphamsnd.patch.bz2
Patch113: linux-2.2.16-nobfddep.chmou.patch.bz2
Patch114: linux-2.2.16-sunpartshaddap.patch.bz2
Patch115: linux-2.2.16-sparc-nfs.patch.bz2
Patch116: linux-2.2.16-fb-modules.chmou.patch.bz2
Patch117: linux-2.2.16-loop.patch.bz2
Patch118: linux-2.2.16-sparc-sysreq.patch.bz2
#vm-backout
#combo
Patch121: linux-2.2.16-loop-F1.patch.bz2
Patch122: linux-2.2.16-gcc296.patch.bz2
#sparcdma-writesync
#sparc-signal
Patch125: linux-2.2.16-scsi-offline.patch.bz2
Patch126: linux-2.2.16-extradevs.patch.bz2
Patch127: linux-2.2.16-newids.patch.bz2
#quiet
Patch129: linux-2.2.16-lockd.patch.bz2

Patch149: linux-2.2.16-lfs-headers.patch.bz2
Patch150: linux-2.2.16-rawio.chmou.patch.bz2
Patch151: linux-2.2.16-iobuffix.patch.bz2
Patch152: linux-2.2.16-raw-fixup.patch.bz2
Patch153: linux-2.2.16-raw-fixup2.patch.bz2
Patch155: linux-2.2.16-raid-B2.chmou.patch.bz2

Patch160: linux-2.2.16-sigio.chmou.patch.bz2

## BIGMEM: we gonna to use the Andrea one.
# Patch165: linux-2.2.17-bigmem.chmou.patch.bz2
# Patch166: linux-2.2.16-bigmem-dcache.patch.bz2
# Patch167: linux-2.2.16-bigmem-raw.patch.bz2
# Patch168: linux-2.2.16-bigmem-initrd.patch.bz2

Patch170: linux-2.2.14-PIII.patch.bz2
Patch171: linux-2.2.14-PIII-xor.patch.bz2

Patch175: linux-2.2.16-usb2.4.0-test2-pre2.chmou.patch.bz2
Patch176: linux-2.2.16-slab.patch.bz2
# Patch177: linux-2.2.16-usbquiet.patch.bz2
Patch178: linux-2.2.16-resourcelen.patch.bz2
# Patch179: linux-2.2.16-usbreset.patch.bz2

Patch180: linux-2.2.16-i2c.chmou.patch.bz2
Patch181: linux-2.2.16-lm_sensors.patch.bz2

Patch200: linux-2.2.16-newagpdist.patch.bz2
Patch201: linux-2.2.16-agphjlfixes.patch.bz2
Patch202: linux-2.2.16-agpgart-2.4-compat.patch.bz2
Patch204: linux-2.2.16-3c90x.patch.bz2
Patch205: linux-2.2.16-scsi-reservation.patch.bz2
#aic7xxx-5.1.29
#aic7xxx-5.1.30
Patch208: linux-2.2.16-aacraid-1.0.3.chmou.patch.bz2
Patch209: linux-2.2.16-megaraid-1b08b.patch.bz2
Patch210: linux-2.2.16-acenic-0.45.patch.bz2
Patch211: linux-2.2.16-aacraid-1.0.3-paths.patch.bz2
#aic7xxx-5.1.31
#sparc-eepro
Patch214: linux-2.2.16-sparc-gcc296.patch.bz2
Patch215: linux-2.2.16-cipe.patch.bz2
#Patch216: linux-2.2.16-usbdevfs.patch.bz2
#iovec
Patch218: linux-2.2.16-e1000.patch.bz2
#Patch219: linux-2.2.16-usbdevfs-2.patch.bz2
Patch220: linux-2.2.16-atalkports.chmou.patch.bz2
#atalksmp
Patch222: linux-2.2.16-multilun.patch.bz2
#scsi-blacklist
Patch224: linux-2.2.16-cpqfcts.patch.bz2
Patch225: linux-2.2.16-skfp.patch.bz2
#cpqarray
Patch227: linux-2.2.14-serial_sysrq.patch.bz2
Patch228: linux-2.2.16-e100.patch.bz2
Patch230: linux-2.2.16-qlc.patch.bz2
Patch231: linux-2.2.16-gdth.patch.bz2
Patch232: linux-2.2.16-aacraid-1.0.4.patch.bz2
Patch233: linux-2.2.16-aacraid-1.0.5.patch.bz2
#presound
Patch235: linux-2.2.16-kaweth.chmou.patch.bz2
Patch236: linux-2.2.16-agpgart-i815.patch.bz2
#kgcc
Patch238: linux-2.2.14-alpha-objstrip-include.patch.bz2
#kvmfix
Patch240: linux-2.2.16-cciss-0.9.9.patch.bz2
Patch241: linux-2.2.16-ccisscleanup.patch.bz2
#Patch242: drm-2.4.0-test6-pre5.patch.bz2
Patch243: linux-2.2.16-drm.chmou.patch.bz2
Patch244: linux-2.2.16-useio.patch.bz2
#810fix
Patch246: linux-2.2.16-agpviasuper.chmou.patch.bz2
Patch247: linux-2.2.16-aacraid-1.0.6.patch.bz2
#556
Patch249: linux-2.2.16-agpdep.chmou.patch.bz2
#sound-stereo
#ide-20000805
#micoff
#sparc-fixes
#sparc-drmfixes
#rhconfig
#eof
#eepro
#i2oinc
#ac97state
#cs46xx

Patch258: linux-2.2.16-ibcs-rh.patch.bz2
Patch251: linux-2.2.16-ibcs-locking.patch.bz2
Patch252: linux-2.2.16-pcmcia-script.chmou.patch.bz2
Patch253: linux-2.2.16-pcmcia-xircom.chmou.patch.bz2
Patch254: linux-2.2.16-pcmcia-3com.chmou.patch.bz2
Patch255: linux-2.2.16-pcmcia-config.chmou.patch.bz2
Patch256: linux-2.2.17-pcmcia-cp.chmou.patch.bz2
Patch257: linux-2.2.17-pcmcia-fhs.chmou.patch.bz2

Patch260: ipvs-0.9.14-2.2.16.patch.bz2
Patch261: linux-2.2.16-ip-masq-vpn.patch.bz2

Patch290: linux-2.2.14-lfs.patch.bz2
Patch291: linux-2.2.14-sparc-fixes-lfs.patch.bz2
Patch292: linux-2.2.14-lfs-fix.patch.bz2
Patch293: linux-2.2.16-lfs-bigmem.patch.bz2

Patch300: linux-2.2.16-sard.patch.bz2

# SuSE stuff
Patch350: linux-2.2.10-ibmtr.patch.bz2
Patch351: linux-2.2.16-dc390-20e2.chmou.patch.bz2
Patch352: linux-2.2.16-dc399-127.patch.bz2
Patch353: linux-2.2.10-nfs-inode.patch.bz2
Patch354: linux-2.2.10-rl100.patch.bz2
Patch355: linux-2.2.14-acertm5-apm.patch.bz2
Patch356: linux-2.2.17-alpha-emu.patch.bz2
Patch357: linux-2.2.14-alpha-delay-fix-jay.patch.bz2
Patch358: linux-2.2.17-alpha-shmmax.patch.bz2
Patch359: linux-2.2.16-bigmessage-with-vmalloc.patch.bz2
Patch360: linux-2.2.14-ide-dpt.patch.bz2
Patch361: linux-2.2.16-scsi-mod-unregister.patch.bz2
Patch362: linux-2.2.16-arpfilter.patch.bz2
Patch363: linux-2.2.17-buz.patch.bz2
Patch364: linux-2.2.16-pci-fix.patch.bz2
Patch365: linux-2.2.16-ppSCSI-0.91.patch.bz2

# i810
Patch305: linux-2.2.17-i810-quiet.chmou.patch.bz2

# Fix configure of vpn
Patch302: linux-2.2.17-ip-masq-vpn-fix-debug-conifg.patch.bz2

# UDF support: http://download.sourceforge.net/linux-udf/
Patch310: linux-2.2.15-udf.chmou.patch.bz2

# Reiserfs: http://devlinux.com/pub/namesys
Patch315: linux-2.2.17-reiserfs-%{reiserfsver}.chmou.patch.bz2
#Patch316: linux-2.2.16-reiserfs-nfs.chmou.patch.bz2
Patch317: linux-2.2.16-reiserfs-force.chmou.patch.bz2
Patch318: linux-2.2.16-reiserfs-formatbanner.chmou.patch.bz2

# FIX VM
Patch306: linux-2.2.17-chmouvm.patch.bz2

# Misc: Boot logo
Patch401: linux-2.2.16-linuxlogo.patch.bz2

## Drivers
#
# ISDN update
Patch13: linux-2.2.16-isdn-update.patch.bz2

# more limits.
Patch14: linux-2.2.14-limit.chmou.patch.bz2

# IDE driver: http://republika.pl/bkz/
Patch15: ide.2.2.17pre15.all.20000722.chmou.patch.bz2

#
Patch31: linux-2.2.17-fixi2c_bbtv.chmou.patch.bz2

# IEE1394 support: http://download.sourceforge.net/linux1394/
Patch18: linux-2.2.16-ieee1394-20000616.chmou.patch.bz2
Patch23: linux-2.2.17-ieee1394-cvs-update-072700.chmou.patch.bz2
Patch24: linux-2.2.17-ieee1394-fix-compile.chmou.patch.bz2

# NCRSYM updates ftp://ftp.tux.org/pub/roudier/drivers/linux/stable/
Patch27: linux-2.2.17-sym_ncr_updates.chmou.patch.bz2

# CP950 support http://www.cis.nctu.edu.tw/~is84086/Project/kernel_cp950/NLS.html
Patch28: linux-2.2.17-cp950-3.8.chmou.patch.bz2

# UNICON: http://www.turbolinux.com.cn/TLDN/chinese/project/unicon/
Patch29: linux-2.2.16-unicon_1.1.patch.bz2

# Add -a to our custom installkernel
Patch30: linux-2.2.17-installkernel-a.patch.bz2

# IRDA update:  http://www.cs.uit.no/~dagb/irda/
Patch19: linux-2.2.16-irda-update.patch.bz2

# Upgrades and fixes isicom ISDN cards
Patch39: linux-2.2.17-isicom-updates.chmou.patch.bz2

# Utf support.
Patch21: linux-2.2.17-utfsupport.chmou.patch.bz2

# Supermount: http://supermount.cornpops.cx/
Patch36: linux-2.2.17-supermount-0.1.5.chmou.patch.bz2
Source73: supermount.README.txt
Patch37: linux-2.2.15-uglypatch-supermount.chmou.patch.bz2

Patch40: linux-2.2.17-drm-from-xfree4.chmou.patch.bz2
Patch41: linux-2.2.17-agp_include_fix.chmou.patch.bz2
Patch42: linux-2.2.17-drm-compile-fix.chmou.patch.bz2
Patch50: linux-2.2.17-drmfixes.chmou.patch.bz2

# upgrade of ips servraid
Patch51: linux-2.2.17-ips430.patch.bz2

# upgrade of initcall to what we found in 2.4 2.2.18
Patch52: linux-2.2.17-initcall.jeff.patch.bz2

# Kcompat
Patch53: linux-2.2.17-kcompat.jeff.patch.bz2
Patch54: linux-2.2.17-alsa-0.5.9-kcompat.jeff.patch.bz2
Patch55: linux-2.2.17-pcmcia-3.1.20-kcompat.jeff.patch.bz2

# Via sound update
Patch56: linux-2.2.17-via-sound-update.jeff.patch.bz2


Patch57: linux-2.2.17-bttv-update-0.7.35.chmou.patch.bz2
Patch65: linux-2.2.17-bttv-pinnacle-fix.tv.patch.bz2

Patch58: linux-2.2.17-8220-eepro100.chmou.patch.bz2

Patch59: linux-2.2.17-shutup-parpot.chmou.patch.bz2

# Sound update
Patch60: linux-2.2.17-soundfixes-2.2.18.jeff.patch.bz2
Patch64: linux-2.2.17-ymfpci.jeff.patch.bz2

Patch61: linux-2.2.17-kgcc.chmou.patch.bz2

Patch62: linux-2.2.17-emu10k1-name-conflicts.chmou.patch.bz2

Patch63: linux-2.2.17-compat-order.chmou.patch.bz2

# Net drivers updates: ftp://ftp.scyld.com/pub/network/test/
Patch49: linux-2.2.17-pciscan-kern_compat.chmou.patch.bz2
Patch43: linux-2.2.17-tulip-update.chmou.patch.bz2
Patch46: linux-2.2.17-viarhine-update.chmou.patch.bz2
Patch47: linux-2.2.17-8139too-0.9.9.chmou.patch.bz2
Patch48: linux-2.2.17-rtl8139-update.chmou.patch.bz2

Patch44: linux-2.2.17-usb-upgrade-2.2.18pre.patch.bz2
Patch45: linux-2.2.17-newsigioforusb.patch.bz2

# Andrea patches:
# ftp://ftp.kernel.org/pub/linux/kernel/people/andrea/kernels/v2.2/2.2.15aa1/
Patch320: linux-2.2.17-IO-wait.patch.bz2
Patch321: linux-2.2.14-SMP-scheduler.patch.bz2
Patch322: linux-2.2.17-buf-run-task-queue.patch.bz2
Patch323: linux-2.2.17-delack-timer.patch.bz2
Patch324: linux-2.2.17-inode-cleanup.patch.bz2
Patch325: linux-2.2.17-java-proc.patch.bz2
Patch326: linux-2.2.11-kupdate-sigstop.patch.bz2
Patch327: linux-2.2.17-lowmem-marging.patch.bz2
Patch328: linux-2.2.17-mremap-waste-virtual-stack-space.patch.bz2
Patch329: linux-2.2.17-nanosleep.patch.bz2
Patch330: linux-2.2.17-overcommit.patch.bz2
Patch331: linux-2.2.17-protected-balance.patch.bz2
Patch332: linux-2.2.17-set_rtc_mss-SMP-race.patch.bz2
Patch333: linux-2.2.10-shrink_all_cache.patch.bz2
Patch334: linux-2.2.17-silent-stack-overflow.patch.bz2
Patch335: linux-2.2.17-slow-gtod-SMP-race.patch.bz2
Patch336: linux-2.2.17-stod-lost_ticks.patch.bz2
Patch337: linux-2.2.17-tq_scheduler-cli.patch.bz2
Patch338: linux-2.2.17-tsc-calibration-non-compile-time.patch.bz2
Patch339: linux-2.2.17-bigmem.chmou.patch.bz2
Patch340: linux-2.2.17-bigmem-large-shm.patch.bz2
Patch342: linux-2.2.17-buf-flushing.patch.bz2
Patch343: linux-2.2.17-no-swapout.chmou.patch.bz2

# PPC: fixes
Patch402: linux-2.2.17-drivers-char.chmou.patch.bz2
Patch403: linux-2.2.17-drivers-video-atyfb-vt-colormapsave.chmou.patch.bz2
Patch404: linux-2.2.17-one_mouse_buttonemu.chmou.patch.bz2
Patch405: linux-2.2.17-arch-ppc-rtc-config-fixup.chmou.patch.bz2
Patch406: linux-2.2.17-drivers-char-serial-pmacsave.chmou.patch.bz2
Patch407: linux-2.2.17-drivers-nets-pcnet32.chmou.patch.bz2
Patch408: linux-2.2.17-drivers-scsi-pmac-scsi-fixup.chmou.patch.bz2
Patch409: linux-2.2.17-ide-pmac-u66-revert.chmou.patch.bz2
Patch410: linux-2.2.17-compile-with-libgcc-forppc.chmou.patch.bz2

# Sparc: fixes
Patch501: kernel-2.2.15-ipmasqlock.patch.bz2
Patch502: kernel-2.2.15-shmgetsparcfix.patch.bz2
Patch503: kernel-2.2.15-dbri.patch.bz2
# (fg) 20000522 patch to isolate Sparc32 regs definition - glibc headers
# already have them in sys/ucontext.h. This will allow strace to compile
#
Patch504: kernel-2.2.15-asm-reg-fix.patch.bz2
#
# (fg) 20000706 two merged patches for Sparc: one fixes NFS for Sparc64 but
# it's ugly (Patch505, me) and the other fixes boot logo for Sparc (Patch506,
# Franois Pons)
Patch505: sparc64-nfs-uglyfix.patch.bz2
Patch506: linux-linuxlogosparc.patch.bz2
# (fg) 20000706 This was Patch327 but sparc and alpha tree does not have bigmem
# - hence the patch failed
Patch507: linux-2.2.17-drop-optimal-for-sparcs-and-alpha.patch.bz2

# Alpha: fixes
Patch510: kernel-2.2.15-alpha-delay.patch.bz2
# (fg) Patch reworked 20000707
Patch511: kernel-2.2.16-dmfe-back-for-alpha.patch.bz2

####################
# Kernel galore... #
####################

#
# kernel: normal kernel, no SMP, no framebuffer
#

BuildRoot: %{_tmppath}/kernel-%{KVERREL}-root
Provides: module-info
Autoreqprov: no
%ifnarch alpha sparc sparc64 ppc
Prereq: initscripts, /usr/sbin/rdev
%endif

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Linux Mandrake operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

#
# kernel-smp: Symmetric MultiProcessing kernel
#

%package smp
Summary: The Linux Kernel compiled for SMP machines.
Group: System/Kernel and hardware
Provides: kernel = %{kversion}, kernel-smp-fb
Obsoletes: kernel-smp-fb
%ifnarch alpha sparc sparc64 ppc
Prereq: /sbin/installkernel, /usr/sbin/rdev
%endif

%description smp
This package includes a SMP version of the Linux %{kversion} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

#
# kernel-secure: kernel with OpenWall patch
#

%package secure
Summary: The secure version of Linux-Kernel.
Group: System/Kernel and hardware
Provides: kernel = %{kversion}
%ifnarch alpha sparc sparc64 ppc
Prereq: /sbin/installkernel, /usr/sbin/rdev
%endif

%description secure
The Secure-Linux patch adds a few security features to the kernel
which, while not a complete method of protection, will stop most of
the 'cookbook' buffer overflow exploits cold. It also adds the option
of restricting the use of symlinks in +t (temp) directories which
fixes most tmp-race exploits as well. It can also add a little bit
more privacy to the system by restricting access to parts of /proc to
root so that users may not see who else is logged on or what they are
doing.

#
# alsa: ALSA drivers - UP kernel only
#

%package -n alsa
Requires: kernel = %{kversion}-%{krelease}, modutils >= 2.3.9
Summary: Advanced Linux Sound Architecture (ALSA) drivers
Group: System/Kernel and hardware
Version: %{kversion}_%{alsaver}
Obsoletes: alsa-driver

%description -n alsa
Advanced Linux Sound Architecture (ALSA) drivers. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This rpm is compiled for default up kernel if you want to use for
others kernel recompile the source from alsa-source.

#
# pcmcia-cs: PCMCIA support for 2.2 kernels - PCMCIA drivers are integrated
# into 2.3 series, so this package will eventually become obsolete
#

%package pcmcia-cs
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System/Kernel and hardware
Obsoletes: pcmcia-cs

%description pcmcia-cs
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The kernel-pcmcia-cs package contains a set of
loadable kernel modules that implement an applications program interface,
a set of client drivers for specific cards and a card manager daemon that
can respond to card insertion and removal events by loading and unloading
drivers on demand.  The daemon also supports hot swapping, so that the
cards can be safely inserted and ejected at any time.

Install the kernel-pcmcia-cs package if your system uses PCMCIA cards.

###################
# Source packages #
###################

#
# kernel-source: all of /usr/src/linux except include/
#

%package source
Requires: kernel-headers = %{kversion}-%{krelease}, glibc-devel, ncurses-devel, make, gcc
%ifarch %ix86
Requires: dev86
%endif
Summary: The source code for the Linux kernel.
Group: Development/Kernel

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you are
doing).

#
# kernel-headers: headers for the Linux kernel
#

%package headers
Summary: Header files for the Linux kernel.
Group: Development/Kernel

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for building
most standard programs.  The header files are also needed for rebuilding
the kernel.

#
# alsa-source: source code for the ALSA subsystem
#

%package -n alsa-source
Requires: kernel-headers, glibc-devel, ncurses-devel, make, gcc, dev86
Summary: The Advanced Linux Sound Architecture (ALSA) source.
Group: Development/Kernel
Version: %{kversion}_%{alsaver}

%description -n alsa-source
Advanced Linux Sound Architecture (ALSA) drivers. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This rpm is the source of alsa use it to fit your alsa modules to the kernel.

##########################
# Miscellaneous packages #
##########################

#
# reiserfs-utils: utilities to create/debug ReiserFS filesystems - ix86 only as
# ReiserFS is not only wordsize dependent, but also endianness dependent...
#

%ifarch %{ix86}
%package -n reiserfs-utils
Summary: The utilities to create Reiserfs volume.
Group: System/Kernel and hardware
Version: %{kversion}_%{reiserfsver}
Serial: 1

%description -n reiserfs-utils
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month.  Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.
%endif

#
# kernel-doc: documentation for the Linux kernel
#

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Development/Kernel

%description doc
This package contains documentation files form the kernel source. Various
bits of information about the Linux kernel and the device drivers shipped
with it are documented in these files. You also might want install this
package if you need a reference to the options that can be passed to Linux
kernel modules at load time.

#
# kernel-utils: ksymoops
#

%package utils
Summary: Kernel related utilities.
Group: System/Kernel and hardware


%description utils
The kernel-utils package contains ksymoops, a utility that can be used
for decrypting the kernel's OOPS output.

#
# End packages - here begins build stage
#

%prep
%ifarch %{ix86}
%setup -q -n linux -a 1 -a 2 -a 5 -a 7
# For patches...
ln -sf pcmcia-cs-%{pcmciaver} pcmcia
ln -sf alsa-driver-%{alsaver} alsa
%else
%setup -q -n linux -a 1 -a 2 -a 5
%endif

unset SIMPLE_BACKUP_PREFIX || :

# First the insinuios revert patch for raid
%patch2 -p1 -R
%patch3 -p1

# RED HAT
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
#%patch119 -p1
#%patch120 -p1
#%patch121 -p1
%patch122 -p1
#%patch123 -p1
#%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
#%patch128 -p1
%patch129 -p1

%patch149 -p1

# Raw I/O
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1

# Enhanced RAID support
%patch155 -p1

# SIGIO patch
%patch160 -p1

# # BIGMEM
# %ifarch %{ix86}
# %patch165 -p1
# %patch166 -p1
# %patch167 -p1
# %patch168 -p1
# %endif
# # Enhanced PIII/Willamette patches
# %if 0
# %patch170 -p1
# %patch171 -p1
# %endif

%patch175 -p1
%patch176 -p1
# %patch177 -p1
%patch178 -p1
# %patch179 -p1

# LM Sensors package
%patch180 -p1
%patch181 -p1

# AGPGART
%patch200 -p1
%patch201 -p1
%patch202 -p1

%patch204 -p1
%patch205 -p1
#%patch206 -p1
#%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
#%patch212 -p1
#%patch213 -p1
%patch214 -p1
%patch215 -p1
#%patch216 -p1
#%patch217 -p1
%patch218 -p1
#%patch219 -p1
%patch220 -p1
#%patch221 -p1
%patch222 -p1
#%patch223 -p1
%patch224 -p1
%patch225 -p1
#%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch233 -p1
#%patch234 -p1
%patch235 -p1
%patch236 -p1
#%patch237 -p1
%patch238 -p1
#%patch239 -p1
%patch240 -p1
%patch241 -p1
#%patch242 -p1
#%patch243 -p1 {Applied After}
%patch244 -p1
#%patch245 -p1
%patch246 -p1
%patch247 -p1
#%patch248 -p1
#%patch249 -p1 {Applied After}
#%patch250 -p1

# %patch272 -p1
# %patch273 -p1
# %patch274 -p1
# %patch276 -p1
# %patch277 -p1
# %patch278 -p1
# %patch279 -p1
# %patch280 -p1

%ifarch %{ix86}
%patch251 -p1
%patch252 -p1
%patch253 -p1
%patch254 -p1
%patch255 -p1
%patch256 -p1
%patch257 -p1
%patch258 -p1
%endif

%patch260 -p1
%patch261 -p1

#TODO: sard patch
################ RED HAT over

###IDE patch
%ifnarch sparc sparc64
%patch15 -p1
%endif
### IDE patch over.

#### Suse start
%patch350 -p1
%patch351 -p1
%patch352 -p1
%patch353 -p1
%patch354 -p1
%patch355 -p1
%patch356 -p1
%patch357 -p1
%patch358 -p1
%patch359 -p1
%patch360 -p1
%patch361 -p1
%patch362 -p1
%patch363 -p1
%patch364 -p1
%patch365 -p1
#### Suse over

## Patches..
%ifnarch sparc sparc64
# Supermount
%patch36 -p1
%patch37 -p1

#i810
%patch305 -p1
%endif

#Isicom
%patch39 -p1

%patch302 -p1

%ifnarch sparc sparc64
# Udf support
%patch310 -p1
%endif

%ifarch %{ix86}
#Reiserfs
%patch315 -p1
#%patch316 -p1
%patch317 -p1
%patch318 -p1
%endif

# Andrea patches
%patch321 -p1
%patch322 -p1
%patch323 -p1
%patch324 -p1
%patch325 -p1
%patch326 -p1
%patch327 -p1
%patch328 -p1
%patch329 -p1
%patch330 -p1
%patch331 -p1
%patch332 -p1
%patch333 -p1
%patch334 -p1
%patch335 -p1
%patch336 -p1
%patch337 -p1
%patch338 -p1
%patch339 -p1
%patch340 -p1
%patch342 -p1
%patch343 -p1
# Andrea patches over.

# Boot logo
%patch401 -p1

# Firewire
%patch18 -p1
%patch23 -p1
%ifarch ppc
%patch24 -p1
%endif

#DRM: chmou mode carrefull here we have three bastard who kick my ass
#when i screwd something since they hare crazy gamers... yup i have to
#get this working and don't touch nothing <grin>
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch243 -p1
%patch249 -p1
%patch50 -p1

%patch51 -p1

%patch52 -p1

%patch53 -p1

%patch54 -p1
%patch55 -p1

%patch56 -p1

%patch59 -p1

%patch60 -p1

%patch62 -p1

%patch64 -p1

# Net drivers update
%patch49 -p1
%patch43 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1

# Usb upgrade
%patch44 -p1
%patch45 -p1

# IRDA
%patch19 -p1

# ISDN
%patch13 -p1

# Upgrade Limit
%patch14 -p1

# Utf support
%patch21 -p1

#NCR SYM updates
%patch27 -p1

# CP950
%patch28 -p1

#Unicon
%patch29 -p1

# Add -a to our custome installkernel
%patch30 -p1

# Fix i2c compile
%patch31 -p1
# Fix VM
%patch306 -p1

%patch57 -p1
%patch65 -p1

%patch58 -p1

if [ "$(gcc --version)" = "2.96" ];then
%patch122 -p1
fi

%patch61 -p1
%patch63 -p1

%ifarch sparc sparc64
%patch501 -p1
%patch502 -p1
%patch503 -p1
%patch504 -p1
%patch505 -p1
%patch506 -p1
%endif

%ifarch alpha
# (fg) 20000707 Doesn't apply anymore, fixed somewhere else (in the vanilla
# source?)
#%patch510 -p1
%patch511 -p1
%endif

%ifarch ppc
%patch402 -p1
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p1
%patch407 -p1
%patch408 -p1
%patch409 -p1 
%patch410 -p1
%endif

%ifarch %{ix86}
cp ibcs/CONFIG.i386 ibcs/CONFIG
%endif

# Bring in the MandrakeKernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

# ship more recent version of ksysmoops
rm -rf scripts/ksymoops/
mv ksymoops-%{ksymoopsver} scripts/ksymoops

# get rid of unwanted files
find . -name '*~' -o -name '*.orig'|xargs rm -f

rm -f pcmcia alsa

###
### build
###

%build

if [ "$(gcc --version)" = "2.96" ];then
FLAGS=$(echo $RPM_OPT_FLAGS|sed 's/-O./-O2/g')
else
FLAGS=$RPM_OPT_FLAGS
echo $FLAGS
fi

if [ -z "$NRPROC" ]; then 
if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
	NRPROC=1
    fi
else
    NRPROC=1
fi
fi

BuildKernel() {
    # is this a special kernel we want to build?
    if [ -n "$1" ] ; then
	Config=%{_target_cpu}-$1
	KernelVer=%{kversion}-%{krelease}$1
	echo BUILDING A KERNEL FOR $1...
    else
	Config=%{_target_cpu}
	KernelVer=%{kversion}-%{krelease}
	echo BUILDING THE NORMAL KERNEL...
    fi

%ifarch sparc64
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config arch/%{_target_cpu}/defconfig
%else
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config arch/%{_arch}/defconfig
%endif
    rm -f .config
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{krelease}$1/" Makefile
# Build with CFLAGS
#     perl -p -i -e "s/^HOSTCFLAGS.*/HOSTCFLAGS = $FLAGS/" Makefile
#     perl -p -i -e "s/^CFLAGS_NSR.*/CFLAGS_NSR := $FLAGS/" arch/%{_arch}/Makefile

    make mrproper
    make oldconfig

	cmp -s .config $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config || \
		   cp -vf .config $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config

    make dep
    make include/linux/version.h 
%ifarch %{ix86}
%make bzImage
%else
%ifarch ppc
%make zImage
%else
%make boot
%endif
%endif
%make modules
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
%ifarch i386 i486 i586 i686 k6 k7
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
%else
%ifarch ppc
	install -m 755 vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
	install -m 644 arch/ppc/boot/zImage $RPM_BUILD_ROOT/boot/zImage-prep-$KernelVer
	install -m 644 arch/ppc/chrpboot/zImage $RPM_BUILD_ROOT/boot/zImage-chrp-$KernelVer
%else
    cp -f vmlinux vmlinux.strip
    strip vmlinux.strip
    gzip -fv vmlinux.strip
    mv -f vmlinux.strip.gz vmlinuz
    install -m 755 vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
    install -m 644 vmlinuz $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
%endif
%endif
    mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi,video}
    make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
%ifnarch sparc64
    cc -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
%endif
}

BuildiBCS() {
    if [ -z "$2" ] ; then
	echo "BUILDING FOR NORMAL KERNEL..."
    else
	echo "BUILDING FOR $2..."
    fi
    make -j $NRPROC -C ibcs/iBCSemul KERNEL=$RPM_BUILD_DIR/linux SMP=$1 all
	mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$2/misc/
    install -m644 ibcs/iBCSemul/iBCS \
	$RPM_BUILD_ROOT/lib/modules/%{KVERREL}$2/misc/iBCS.o
    make -C ibcs clean 
}


BuildPCMCIA() {
    if [ -z "$1" ] ; then
    echo "BUILDING FOR NORMAL KERNEL..."
    else
    echo "BUILDING FOR $1..."
    fi
    pushd pcmcia-cs-%{pcmciaver} && {
     ./Configure -n --kernel=$RPM_BUILD_DIR/linux \
                    --target=$RPM_BUILD_ROOT \
                    --moddir=/lib/modules/%{KVERREL}$1 \
                    --notrust \
                    --cardbus \
                    --nopnp \
                    --sysv	--srctree --rcdir=/etc/rc.d
	make oldconfig
    } &&  popd
make -C pcmcia-cs-%{pcmciaver} all
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$1/pcmcia
make -C pcmcia-cs-%{pcmciaver} PREFIX=$RPM_BUILD_ROOT MANDIR=${RPM_BUILD_ROOT}/%{_mandir} install
}

SaveHeaders() {
    if [ -n "$1" ] ; then
	echo "SAVING HEADERS for $1"
    fi
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux
    if [ -n "$1" ] ; then
    	install -m 644 include/linux/autoconf.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/autoconf-$1.h
    	install -m 644 include/linux/version.h \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/version-$1.h
	sed -e "s,/modules/,/modules-$1/,g" < include/linux/modversions.h > \
	    $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/modversions-$1.h
	mv include/linux/modules include/linux/modules-$1
    fi
}

BuildAlsa() {
	c=$1
	echo "Building for $c"

   	pushd alsa-driver-%{alsaver}  && {

	[ -e Makefile.conf ] && make mrproper

	CFLAGS=$FLAGS ./configure --with-kernel=$RPM_BUILD_DIR/linux \
        --with-moddir=$RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/ --with-debug=none \
	--with-processor=%{_target_cpu} --with-smp=auto --with-isapnp --with-sequencer=yes \
	--with-oss=yes
	make all

	mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/
	install -m644 modules/*.o $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/
	mv -f $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/isapnp.o $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/misc/
    } && popd
}

BuildSecure () {
    bzcat %{SOURCE70}|tar xv
    patch -p1 < linux-2.2.17-ow1/linux-2.2.17-ow1.diff
%ifarch sparc64
	cp arch/%{_target_cpu}/defconfig arch/%{_target_cpu}/defconfig.secureorig
%else
    cp arch/%{_arch}/defconfig arch/%{_arch}/defconfig.secureorig
%endif
    BuildKernel secure
%ifarch %{ix86}
    BuildiBCS no secure
    BuildPCMCIA secure
%endif
    SaveHeaders secure
%ifarch sparc64
    mv arch/%{_target_cpu}/defconfig.secureorig arch/%{_target_cpu}/defconfig
%else
    mv arch/%{_arch}/defconfig.secureorig arch/%{_arch}/defconfig
%endif
    patch -R -p1 < linux-2.2.17-ow1/linux-2.2.17-ow1.diff
    mkdir -p Documentation/secure/
    install -m644 linux-2.2.17-ow1/optional/*.c Documentation/secure/
    install -m644 linux-2.2.17-ow1/README Documentation/secure/README.secure
	install -m644 linux-2.2.17-ow1/LICENSE Documentation/secure/LICENSE
    find|grep "~$"|xargs rm -f
}

###
# DO it...
###
rm -rf $RPM_BUILD_ROOT

#Secure Kernel, slighty different of others.
BuildSecure

#SMP-ENABLED KERNEL
# k6 can't be SMP
%ifnarch k6 ppc
		BuildKernel smp
%ifarch %{ix86}
		BuildAlsa smp
		BuildiBCS yes smp
		BuildPCMCIA smp
%endif
	SaveHeaders smp
%endif

# NORMAL KERNEL
BuildKernel
%ifarch %{ix86}
BuildAlsa
BuildiBCS no
BuildPCMCIA
%endif
SaveHeaders up

make -C scripts/ksymoops/

%ifarch %{ix86}
make -C fs/reiserfs/utils/
%endif

###
### install
###

%install
mkdir -p $RPM_BUILD_ROOT/{boot,sbin}

mkdir -p $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8}
%ifarch i386 i486 i586 i686 k6 k7
make  -C fs/reiserfs/utils SBIN=$RPM_BUILD_ROOT/sbin install MANDIR=$RPM_BUILD_ROOT%{_mandir}/man8/ 
(cd $RPM_BUILD_ROOT/sbin; ln -s ../bin/true $RPM_BUILD_ROOT/sbin/fsck.reiserfs)
%endif

# Install config files.
mkdir -p config_files/
for i in $RPM_SOURCE_DIR/*%{_target_cpu}*config;do
	n=$(basename $i|sed 's/%{kversion}/%{KVERREL}/')
    install -m644 $i config_files/$n
done

%ifnarch sparc sparc64
#Supermount README
install -m644 %{SOURCE73} Documentation/
%endif

%ifarch %{ix86}
#Install Alsa documentation
rm -rf alsa-doc/
mkdir -p alsa-doc/
for i in COPYING INSTALL FAQ README doc/SOUNDCARDS WARNING;do
    install -m644 alsa-driver-%{alsaver}/$i alsa-doc/
done

# Install header of alsa
mkdir -p $RPM_BUILD_ROOT/usr/src/linux/include/linux
for i in asound.h asoundid.h asequencer.h ainstr_simple.h ainstr_gf1.h ainstr_iw.h;do
 install -m644 alsa-driver-%{alsaver}/include/$i \
		$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux/
done

%endif

# /Includes links.
mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion} 

#this is kind of ugly, but have asked for it
touch /boot/kernel.h || :

%ifarch %{ix86}
mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

# Install our own network up/down script
install -m755 $RPM_SOURCE_DIR/pcmcia-cs-2.8.8-network.script \
        $RPM_BUILD_ROOT/etc/pcmcia/network

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=
CORE_OPTS=
EOF

# iBCS stuff
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man9
install -m 644 ibcs/Doc/iBCS.9 $RPM_BUILD_ROOT/%{_mandir}/man9
%endif

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

# Come from initscripts.
%ifarch %{ix86}
( cd $RPM_BUILD_ROOT/usr/src/linux/arch/i386/boot/;ln -sf ../../../../../../sbin/installkernel install.sh)
%endif

%ifarch sparc sparc64
ln -s ../src/linux/include/asm-sparc $RPM_BUILD_ROOT/usr/include/asm-sparc
ln -s ../src/linux/include/asm-sparc64 $RPM_BUILD_ROOT/usr/include/asm-sparc64
mkdir $RPM_BUILD_ROOT/usr/include/asm
install -m755 $RPM_SOURCE_DIR/kernel-2.2-BuildASM.sh $RPM_BUILD_ROOT/usr/include/asm/BuildASM
$RPM_BUILD_ROOT/usr/include/asm/BuildASM $RPM_BUILD_ROOT/usr/include
%else
ln -sf ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
%endif

# make sure EXTRAVERSION says what we want it to say (in source)
perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{krelease}/" $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/Makefile

# use the standard i386 config in source
cp %SOURCE20 $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/.config
cp %SOURCE20 $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/arch/i386/defconfig

#clean up the destination
%ifarch %{ix86}

make clean -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}

#
make -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/alsa-driver-%{alsaver} mrproper 
mkdir -p $RPM_BUILD_ROOT/usr/src/drivers/
[ -d $RPM_BUILD_ROOT/usr/src/drivers/alsa-driver-%{alsaver} ] || \
mv $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/alsa-driver-%{alsaver} \
		$RPM_BUILD_ROOT/usr/src/drivers/

#
make -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/ibcs clean
%endif

make mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
#mv autoconf.h autoconf-up.h
#mv version.h version-up.h
#mv modversions.h modversions-up.h
install -m 644 %{SOURCE15} autoconf.h
install -m 644 %{SOURCE16} version.h
install -m 644 %{SOURCE17} modversions.h
} ; popd
> $RPM_BUILD_ROOT/boot/kernel.h

# others tools
mkdir -p $RPM_BUILD_ROOT/usr/sbin  $RPM_BUILD_ROOT/%{_mandir}/man8
install -s -m 755 scripts/ksymoops/ksymoops $RPM_BUILD_ROOT/usr/sbin
install -s -m 644 scripts/ksymoops/ksymoops.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
make -C scripts/ksymoops/ clean

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}-source
?package(%{name}-source): needs="X11" \
 icon="%{name}.xpm" \
 section="Configuration/Other" \
 title="Kernel" longtitle="Kernel Configuration" \
 command="kdesu -c 'cd /usr/src/linux && make xconfig'"
EOF
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini/
install -m644 %{SOURCE18} $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%preun
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}/modules.dep
exit 0

%preun smp
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}smp/modules.dep
exit 0

%preun secure
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}secure/modules.dep
exit 0

%post
cd /boot
%ifnarch ppc
ln -sf vmlinuz-%{KVERREL} vmlinuz
%else
ln -sf vmlinux-%{KVERREL} vmlinux
ln -sf zImage-chrp-%{KVERREL} zImage-chrp
ln -sf zImage-prep-%{KVERREL} zImage-prep
%endif
ln -sf System.map-%{KVERREL} System.map

%ifarch %{ix86}
/sbin/installkernel -a -c %{KVERREL}
%endif

%ifarch %{ix86}
%post smp
/sbin/installkernel -a -c %{KVERREL}smp
%endif

%ifarch %{ix86}
%post secure
/sbin/installkernel -a -c %{KVERREL}secure
%endif

%post headers
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux

%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
%update_menus

%postun headers
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%postun source
%clean_menus
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%ifarch %{ix86}
%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%preun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%post -n alsa
/sbin/depmod -a 2>/dev/null >/dev/null &

%postun -n alsa
/sbin/depmod -a 2>/dev/null >/dev/null &

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%endif

###
### file lists
###

%files
%defattr(-,root,root)
%doc config_files/kernel-%{kversion}-%{krelease}-%{_target_cpu}.config
%ifnarch ppc
/boot/vmlinuz-%{KVERREL}
%else
/boot/zImage-*-%{KVERREL}
%endif
%ifnarch %{ix86}
/boot/vmlinux-%{KVERREL}
%endif
/boot/System.map-%{KVERREL}
%dir /lib/modules
%ifnarch sparc64
/lib/modules/%{KVERREL}/.rhkmvtag
%endif
/lib/modules/%{KVERREL}/block
/lib/modules/%{KVERREL}/cdrom
/lib/modules/%{KVERREL}/fs
/lib/modules/%{KVERREL}/ipv4
/lib/modules/%{KVERREL}/misc
/lib/modules/%{KVERREL}/net
/lib/modules/%{KVERREL}/scsi
%ifnarch sparc sparc64
/lib/modules/%{KVERREL}/usb
%endif
%ifarch %{ix86}
/lib/modules/%{KVERREL}/pcmcia
%endif

%files secure
%defattr(-,root,root)
%doc config_files/kernel-%{kversion}-%{krelease}-%{_target_cpu}-secure.config
%ifnarch ppc
/boot/vmlinuz-%{KVERREL}secure
%else
/boot/zImage-*-%{KVERREL}secure
%endif
%ifnarch %{ix86}
/boot/vmlinux-%{KVERREL}secure
%endif
/boot/System.map-%{KVERREL}secure
%dir /lib/modules/
%ifnarch sparc64
/lib/modules/%{KVERREL}secure/.rhkmvtag
%endif
%ifnarch sparc sparc64
/lib/modules/%{KVERREL}secure/usb
%endif
/lib/modules/%{KVERREL}secure/block
/lib/modules/%{KVERREL}secure/cdrom
/lib/modules/%{KVERREL}secure/fs
/lib/modules/%{KVERREL}secure/ipv4
/lib/modules/%{KVERREL}secure/misc
/lib/modules/%{KVERREL}secure/net
/lib/modules/%{KVERREL}secure/scsi
%ifarch %{ix86}
/lib/modules/%{KVERREL}secure/pcmcia
%endif

%ifnarch k6 k7
%files smp
%defattr(-,root,root)
%doc config_files/kernel-%{kversion}-%{krelease}-%{_target_cpu}-smp.config
%ifnarch ppc
/boot/vmlinuz-%{KVERREL}smp
%else
/boot/zImage-*-%{KVERREL}smp
%endif
%ifnarch %{ix86}
/boot/vmlinux-%{KVERREL}smp
%endif
/boot/System.map-%{KVERREL}smp
%dir /lib/modules/
%ifnarch sparc64
/lib/modules/%{KVERREL}smp/.rhkmvtag
%endif
/lib/modules/%{KVERREL}smp/block
/lib/modules/%{KVERREL}smp/cdrom
/lib/modules/%{KVERREL}smp/fs
/lib/modules/%{KVERREL}smp/ipv4
/lib/modules/%{KVERREL}smp/misc
/lib/modules/%{KVERREL}smp/net
/lib/modules/%{KVERREL}smp/scsi
%ifnarch sparc sparc64
/lib/modules/%{KVERREL}smp/usb
%endif
%ifarch %{ix86}
/lib/modules/%{KVERREL}smp/pcmcia
%endif
%endif

%files source
%defattr(-,root,root)
/usr/lib/menu/*
/usr/share/icons/mini/*.xpm
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/REPORTING-BUGS
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/modules
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts
/usr/src/linux-%{kversion}/arch/%{_arch}
%ifarch sparc sparc64
/usr/src/linux-%{kversion}/arch/sparc64
%endif

%ifarch %{ix86}
/usr/src/linux-%{kversion}/ibcs
/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
%endif

%files utils
%defattr(-,root,root)
/usr/sbin/ksymoops
%{_mandir}/man8/ksymoops.8.bz2

%files headers
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
%ifarch sparc sparc64
/usr/src/linux-%{kversion}/include/asm-sparc
/usr/src/linux-%{kversion}/include/asm-sparc64
/usr/include/asm-sparc
/usr/include/asm-sparc64
%else
/usr/src/linux-%{kversion}/include/asm-%{_arch}
%ifarch ppc
/usr/src/linux-%{kversion}/include/asm-m68k
%endif
%endif
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-generic
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/scsi
/usr/src/linux-%{kversion}/include/video
%ifarch alpha sparc sparc64 ppc
/usr/src/linux-%{kversion}/include/math-emu
%endif
/usr/include/asm
/usr/include/linux
/usr/src/linux-%{kversion}/README.kernel-sources
/boot/kernel.h

%files doc
%defattr(-,root,root)
%ifarch %ix86
%doc ibcs/{README,RELEASE,CREDITS,Doc}
%{_mandir}/man9/*
%endif
%doc Documentation/*

%ifarch %{ix86}
%files pcmcia-cs
%defattr(-,root,root)
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-HOWTO 
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-PROG
%doc pcmcia-cs-%{pcmciaver}/SUPPORTED.CARDS 
%doc pcmcia-cs-%{pcmciaver}/CHANGES 
%doc pcmcia-cs-%{pcmciaver}/COPYING 
%doc pcmcia-cs-%{pcmciaver}/README
%attr(755,root,root) /sbin/cardctl
/sbin/cardmgr
/sbin/ftl_check
/sbin/ftl_format
/sbin/ifport
/sbin/ifuser
/sbin/pcinitrd
/sbin/probe
/sbin/scsi_info
/sbin/ide_info
%{_mandir}/*/*
%config /etc/rc.d/init.d/pcmcia
%config /etc/sysconfig/pcmcia
%dir /etc/pcmcia
#/etc/pcmcia/cdrom
%config /etc/pcmcia/config
%config /etc/pcmcia/ftl
%config /etc/pcmcia/ide
%config /etc/pcmcia/memory
%config /etc/pcmcia/network
%config /etc/pcmcia/scsi
%config /etc/pcmcia/serial
%config /etc/pcmcia/shared
%config /etc/pcmcia/cis
%config /etc/pcmcia/config.opts
%config /etc/pcmcia/ftl.opts
%config /etc/pcmcia/ide.opts
%config /etc/pcmcia/memory.opts
%config /etc/pcmcia/scsi.opts
%config /etc/pcmcia/serial.opts
%endif

%ifarch %{ix86}
%files -n alsa
%defattr(-,root,root)
%doc alsa-doc/*
/lib/modules/%{KVERREL}/alsa/
/lib/modules/%{KVERREL}smp/alsa/
%files -n alsa-source
%defattr(-,root,root)
/usr/src/drivers/alsa-driver-%{alsaver}
%endif

%ifarch %{ix86}
%files -n reiserfs-utils
%defattr(-,root,root)
/sbin/*reiserfs*
%endif

%changelog
* Thu Oct  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-21mdk
- Add titi patch for his titi tv card.
- Really add compat-order patch.
- Add updates sound from jeff.

* Wed Oct  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-20mdk
- Don't use --strip but --with-debug=none to strip alsa modules.

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-19mdk
- Strip explicitely all the alsa modules.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-18mdk
- Fix exported functions conflicts between kcompat and emu10k1.
- Remove all get_order from the driver and define only one in page.h.
- Add kgcc patches from 2.2.18.

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-17mdk
- Add update of sound drivers as well a new ymfci from 2.2.18 (jeff).

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-16mdk
- Rh merge of last 7.0 patches.
- Fix some floppy disk i broke in 15mdk with supermount.
- Not noticed in 15mdk but remove all Optimisations in the kernel (or
  learn to be the safer as possible before the release).
- Shut the mouth of parport to log and not to console.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-15mdk
- Add Intel Etherexpress 82820 id for eepro100.
- Be sure to convert the i810 module init stuff to the new kernel interfaces.
- 8139too fixes from jeff.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-14mdk
- Bttv upgrade to the last drivers.
- Via sound driver update from jeff.
- Set of kcompat patch for kernel alsa and pcmcia from jeff.
- New initcall patch from jeff.

* Mon Sep 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-13mdk
- Add backport from jeff of initcall for modules from 2.4.x 2.2.18.

* Fri Sep 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-12mdk
- Reiserfs 3.5.26.
- Add depmod -a in %post{un} of alsa drivers.
- Add serial for reiserfs.

* Wed Sep 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-11mdk
- Add 430 version of ips servraid driver.

* Tue Sep 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-10mdk
- Fix drm acceleration (and oops) with Rage128 Matrox and 3dfX (you
  need last XFree for this one).

* Tue Sep 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-9mdk
- Fix tulip and via-rhine symbol.

* Mon Sep 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-8mdk
- Upgrade to the last secure patches.
- Add new rtl8139too drivers from Jeff.
- Add fixes for rtl8139 from Jeff.

* Mon Sep 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-7mdk
- Via-rhine driver update.
- Add upgrade of USB drivers from 2.2.18pre kernel (and cleanup patches).

* Sun Sep 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-6mdk
- Upgrade of tulip drivers as advertised by Jeff.

* Fri Sep 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-5mdk
- Make FB_ATY as modules.

* Thu Sep 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-4mdk
- reiserfs 3.5.25.
- Get dependences on agpgart for drm modules.
- Desactivate the new ioct for loop patch.
- Pcmcia-3.1.20.
- Fix definitively the VM problem.

* Wed Sep 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-3mdk
- Fix IBCS.
- Fixes for USB visor.
- Add USB Bluetooth support.

* Tue Sep 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-2mdk
- Upgrades and fixes isicom ISDN cards.
- Alsa 0.5.9c.
- Remove FB kernel and merge it with normal kernel.
- Remove ATY128 frame buffer (break frame buffer support).
- Back to the drm from Xfree, and fix i810 support.
- Fix VM Memory leaks.
- Merge with Red Hat/Suse/Andrea Patches, clean up ordering.

* Wed Sep  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-1mdk
- Remove Wavefront.
- 2.2.17.

* Wed Aug 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.24mdk
- Disable CONFIG_ATY as requested by dadou/egil..

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.23mdk
- Reintrduced our README.kernel.source.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.22mdk
- Merge/Add all the DRM/i810/3D acceleration from Red Hat and kernel-2.4.

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.21mdk
- Big .config review and rh merge (didn't do this since last year /me
  say it's a pain).

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.20mdk
- 2.2.17pre20.

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.19mdk
- reiserfs 3.5.24.

* Thu Aug 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.18mdk
- Use i810 agpgart from 2.4 for ever (never XFree86 again).

* Mon Aug 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.17mdk
- Upgrade usb serial patches.
- Upgrade ide patches and patch it for pre19.
- 2.2.17pre19.
- Alsa 0.5.9b.
- Correct PCMCIA url.
- Ksysmoops 2.3.4.

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.16mdk
- Fix slab with USB (acox).
- Move isapnp.o to misc/.
- 2.2.17pre15.

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.15mdk
- Correct BuildPCMCIA.
- Correct bttv with LM_sensors.
- Correct LM_sensors.
- More revert raid with pre14.
- 2.2.17pre14.

* Sun Jul 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.14mdk
- Add cp950 support (helped by the author)

* Fri Jul 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.13mdk
- Add unicon support.
- Compile with IPV6.
- remove CONFIG_MATH_EMULATION from config.
- Update (NCR|SYM)53c8 scsci drivers.
- Add DRM support. (helped by flepied).
- Pcmcia 3.1.19.

* Thu Jul 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.12mdk
- Add usb serial update from 2.4.
- Add i815 support (nico).
- Fix firewire on ppc.
- Upgrade firewire from cvs.
- Upgrade to 20000707 the ide patches.
- Merge with redhat patches.
- Update of bttv support (titi).

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.11mdk
- Upgrade firewire patches.
- reiserfs 3.5.23.
- 2.2.17pre13.
- disable CONFIG_WDC_ALI15X3.
- pcmcia as config files.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.10mdk
- More macros.
- BM
- remove sblive support since it merge in main kernel.
- 2.2.17pre12.
- 2.2.17 ppc support.
- ppc patches.

* Tue Jul 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.9mdk
- Backport i810  from 2.4.x like RH.
- CONFIG_VIA82CXXX_TUNING off.
- Merge with rh patches.
- 2.2.17pre11.

* Thu Jul 06 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2.17-0.8mdk
- Merged sparc patches from u5 (505: way ugly NFS fix, 506: bootlogo fix)
	(please someone find a reason why Patch505 fixes NFS hangs - mail to lkml
	but no reply)
- Some alpha patch fixes (510 not necessary anymore, 511 didn't apply cleanly)
- Updated sparc and alpha config files

* Wed Jul  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.7mdk
- Fix pcmcia.

* Tue Jul  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.6mdk
- 2.2.17pre10.
- Compile with -O2 when compiling with gcc2.96.
- Add patch when compiling with gcc2.96.
- Add utf8 support (pablo).

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.5mdk
- Add LAPB (fix Cyclades-PC300 module).
- Fix eepro module.

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.4mdk
- 2.2.17pre9.

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.3mdk
- s|bin86|dev86|;
- Upgrade DAC960 to 2.2.6.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.2mdk
- Add lm_sensors support.
- Define NR_FILE to 8192.
- Upgrade isdn from cvs.
- Upgrade irda.
- Add first ieee1394 support (aka: Firewire).
- Merge and add Suse i386 patches.
- Add workaround for acertm5 laptop (add apm=acertm5 to workaround it)
- Make advertising for Reiserfs less bigger.
- Upgrade Solar Designer patches.
- Add/Merge various patches from SuSE for ReiserFS.
- Reiserfs 3.5.22.
- Upgrade udf patch.
- Spec and patches cleanup.

* Mon Jun 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.17-0.1mdk
- Pcmcia-3.1.17.
- Alsa-0.5.8b.
- Upgrade to last emu10k1 from cvs.
- 2.2.17pre7.

* Sat Jun 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-10mdk
- Launch pcmcia before the network.
- Upgrade USB backport patchs.

* Thu Jun 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-9mdk
- Ipvs 0.9.14.
- Uprade aicxx driver to 5.1.31 (correct scsci zip problem).
- Reinsert emu10k1.

* Wed Jun 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-8mdk
- Remerge with last rh patches.

* Wed Jun 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-7mdk
- FAT CD fix (from 2.2.17pre?).

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-6mdk
- Upgrade usb backport to last 2.4.0ac22, fix is :
     * Fixed G4 Mac disabled OHCI memory
     * Fixed digi acceleport __NO_VERSION__
     * Fixed PMAC #includes
     * Fixed audio compiletime bug
     * Added APM support
     * Added CPiA 1.0 modules
     * Fixed serial driver __NO_VERSION__

* Sun Jun 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-5mdk
- Active USB_DEVICEFS.
- Merge with rh patchs.

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-4mdk
- addd CONFIG_SMD_DISKLABEL.
- Add the kversion to the subpackage to avoid conflicts.

* Mon Jun 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-3mdk
- Apply 2.2.16-combo from Alan Cox.

* Fri Jun  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-2mdk
- Use ide patchs for 2.2.16 from Bartlomiej Zolnierkiewicz.
- Fix pcmcia build.

* Thu Jun  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.16-1mdk
- Upgrade/tweak ide / raid patches and some others patches for 2.2.16.
- 2.2.16 (fix a lots of security bugs).

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-15mdk
- s|%post|%preun|; for modprobe loop  and rm -f modules.dep.

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.15-14mdk
- Fix a typo when make play for PPC (a load of 57 is very bad for my heart)
- Remove my obsolotes configuration's files for i486

* Wed May 31 2000 Adam Lebsack <adam@mandrakesoft.com> 2.2.15-13mdk
- PPC kernel support (CHRP, PREP, older non-usb Powermacs)
- PPC patch for drivers/usb/usb-ohci.c
- updated Hedrick's IDE patch to 2.2.15.20000509

* Mon May 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-12mdk
- Compile usb keyboard on alpha into the kernel.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-11mdk
- Remove ibCs package (move devices to dev-package, doc to kernel-doc
  and keep modules in the kernel*).
- Go back to 1.27 version for dmfe on alpha.
- Fix udelay call on alpha for lmc net drivers.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-10mdk
- Includes USB for alpha (since this sound like working).
- Fix signals with usb and new sigiosock.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-9mdk
- Don't Requires: bin86 for kernel-source on other arch than ia32.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-8mdk
- Fix sparc64 compilation.

* Mon May 22 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2.15-8mdk
- header fix for asm-sparc/reg.h
- added comments in spec

* Fri May 19 2000 Franois Pons <fpons@mandrakesoft.com> 2.2.15-7mdk
- Fix sparc and sparc64 compilation.
- Don't prereq rdev for sparc and sparc64 too.
- added patchs 501, 502, 503 for compilation.

* Thu May 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-6mdk
- Don't prereq rdev for alpha.
- Fix bad sources.
- Fix loading initrd with alpha.

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-6mdk
- Fix build as users.

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-5mdk
- Updates config files for alpha.

* Wed May 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-4mdk
- Fix pcmcia again :[

* Tue May  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-3mdk
- Fix pcmcia.
- Correct .config with UDMA66.
- Fix version with reiserfs.

* Sun May  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-2mdk
- Upgrade usb backport from 2.3.99-pre7-1.
- Fix Bigmem support.

* Thu May  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-1mdk
- 2.2.15 final.

* Thu May  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.30mdk
- Fix pcmcia.
- Don't compile smp for fb.

* Wed May  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.29mdk
- Fix logofb.
- Fix i810.
- Fix menu.
- Add by default the ide patchs for u66 in kernel.

* Wed Apr 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.28mdk
- Upgrade the usb backport from 2.3.99-pre6.
- Build alsa with --with-oss=y --with-sequencer=y.
- Upgrade aic7xxx driver to 5.1.29.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.27mdk
- Add menu entry for make xconfig and icons.
- Fix xconfig with newagpdist patch.
- linkx install.sh to installkernel from initscripts.
- Add missing prereq.
- Add %defattr.
- better logo from ln.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.26mdk
- Fix alpha compilation.
- Make scsi of alpha as modules.
- 2.2.15-pre20:
		fix an NFS bug in pty code introduced in 2.2.15pre19.

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.25mdk
- Add alsa drivers to alsa package for all arch.
- Add Readme for supermount.
- supermount-0.1.5.
- ipvs-0.9.11.
- new and powerfull installkernel, can add entry to grub and lilo.
- Use installkernel in %post (and depend Prereq).
- Fix usbdevfs backport (no active by default).

* Thu Apr 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.15-0.24mdk
- fix pcmcia modules.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.15-0.23mdk
- fsck.reiserfs points to /bin/true.
- new logos.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.15-0.22mdk
- added i810 driver from XFree86.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.21mdk
- 2.2.15pre19.
- Alsa-0.5.7.
- pcmcia-3.1.14.
- Don't ask question when using -f with mkreiserfs.
- Apply suse patch for symlinks with reiserfs.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.20mdk
- Fix usb-storage backport oops.
- alsa-0.5.7.
- Really apply patch :\.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.19mdk
- reAdd patch to don't check conunt on CD_DO_IOTCL.
- reAdd patch to redirect the I/O error of supermount to syslog.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.18mdk
- Adjust groups.
- Add reiserfs support.
- Alsa-0.5.6.
- pcmcia-cs-3.1.13.
- 2.2.15pre17.


* Fri Mar 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.17mdk
- Add security patch on ipmasquerading and ftp (bugtraq).
- Compile sparc64 in sparc32 (ask sparc team).
- Add lot of Requires for (alsa|kernel)-source.
- Don't set CONFIG_APM_REAL_MODE_POWER_OFF (break 95% of x86 arch).
- BuildAlsa for smp and fb.
- Don't use CPIA_PP from usb backport but use the official one.
- 2.2.15pre15.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.16mdk
- Add UDF patch.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.15mdk
- Fix emu10k1 clean-up.
- Don't compile CPIO_PP with usb backport.
- 2.2.15pre14

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.14mdk
- Fix typo in Requires :\.

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.13mdk
- Alsa package requires modutils >= 2.3.9.
- Alsa Obsoletes alsa-drivers (titi).
- Add usb backport from 2.3 to 2.2 (and even get working).
- Put usb modules in /lib/modules/*/usb (modutils 2.3.9 handle nicely).

* Mon Mar  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.12mdk
- Build Emu10k1 like the old and ugly time.

* Sat Mar  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.11mdk
- Fix files conflict when installing with rpm -i multiples kernel.
- 2.2.15pre13
- Fix requires for alsa-source.
- Fix bad macros (rpm bug ?).
- Alsa-0.5.5.
- 2.2.15pre12.

* Thu Feb 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.9mdk
- 2.2.15pre10.
- supermount 0.1.4a.
- Remove bigmem (buggy).
- Move modules to alsa to his own package compile only for kernel
  package and add a alsa-source package.

* Wed Feb 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.8mdk
- Config file as %doc of each kind of package.
- Version 2 of openwall patchs.
- Fix Provides lines (Axalon).
- 2.2.15pre9.
- Fix various ksymoops weirdness.
- Revert raid1 stuff from pre? kernel (we use the new Raid style).
- Merge with RedHat patchs (74 patchs mostly backport).
- Pcmcia-3.1.11.
- Alsa-0.5.3.

* Fri Jan 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-0.6mdk
- Renamed release for the new name scheme.
- 2.2.15pre5.
- Fix initrd for alpha.
- Add modifed logo.h for sparc.

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-5mdk
- Fix bad statfs with supermount (author).
- Update of Sblive drivers from CVS.

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-4mdk
- Disable supermount for sparc.
- Remove ptmodem drivers.
- Remove modules.dep in %pre.
- Disable UMSDOS.
- 2.2.15pre4.
- Alsa 0.5.1.
- Get finally work the fu*** sparc kernel.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-2mdk
- 2.2.15pre3.

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-1mdk
- 2.2.15pre2.
- Remove eepro patch (in 2.2.15pre2).
- Upgrade ide patchs (don't apply it just here for future).
- pcmcia 16-JAN-00.
- fix sparc compilation and config files.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-16mdk
- Remove module-info
- pcmcia 10-JAN-00.
- Make the rpm friendly-build for sparc(64) and alpha.
- Merge with last rh patches.
- ksysmoops 2.3.3.
- Spec cleanup.
- Last OpenWall patches.

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-15mdk
- 2.2.14 final.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-14mdk
- Fix pcmcia permissions (thnks rpmlint).
